Summary: Bonobo component for spell checking
Name: gnome-spell
Version: 1.0.7
Release: 3.1
Source0: ftp://ftp.gnome.org/pub/gnome/sources/gnome-spell/%{name}-%{version}.tar.bz2
# XXX The pspell compatability layer was added three years ago.
#     Disable it for now (1.0.7-2) and remove it in the next update.
#Patch0: gnome-spell-1.0.2-pspell-compat.patch
#Patch1: gnome-spell-1.0.7-langlist.patch
Patch2: gnome-spell-1.0.7-multilib.patch
License: GPL
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-root
Requires: libgnomeui, libbonoboui, libglade2
BuildRequires: aspell-devel, intltool >= 0.11, gettext
BuildRequires: libgnomeui-devel, libbonoboui-devel, libglade2-devel

# for aspell back patch
#BuildRequires: autoconf, /usr/bin/automake-1.4
BuildRequires: autoconf, automake

%description
Gnome Spell is GNOME/Bonobo component for spell checking. In current
version it contains GNOME::Spell::Dictionary object, which provides
spell checking dictionary (see Spell.idl for exact API definition). 
It's based on pspell package, which is required to build gnome-spell.

%prep
%setup -q
#%patch0 -p1 -b .pspell-compat
#%patch1 -p1 -b .langlist
%patch2 -p1 -b .multilib

%build
autoheader
#automake-1.4
automake
autoconf
export _lib=%{_lib}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-spell/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-spell/*.la

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

%{find_lang} %{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL
%dir %{_libdir}/gnome-spell
%{_libdir}/gnome-spell/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/control-center-2.0/icons/*
%{_datadir}/gnome-spell-%{version}
%{_datadir}/idl/*

%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.7-3.1
- rebuild

* Thu Jun 08 2006 Jesse Keating <jkeating@redhat.com> - 1.0.7-3
- Add missing br gettext

* Mon May 15 2006 Matthew Barnes <mbarnes@redhat.com> - 1.0.7-2
- Own the /usr/lib/gnome-spell directory (closes #169278).

* Mon May 15 2006 Matthew Barnes <mbarnes@redhat.com> - 1.0.7-1
- Update to 1.0.7
- Disable pspell compatibility layer (added 3 years ago).
- Update gnome-spell-1.0.4-multilib.patch and rename it to version 1.0.7.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-13.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-13.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 1.0.5-13
- s/sed -ie/sed -i -e/

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 1.0.5-12
- fix fix for multilib issue with shlib bonobo components (bug 156982)

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 1.0.5-11
- fix multilib issue with shlib bonobo components (bug 156982)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 16 2005 David Malcolm <dmalcolm@redhat.com> - 1.0.5-10
- rebuild with GCC 4

* Wed Nov 24 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.5-8
- added explicit Requires on libgnomeui, libbonoboui, libglade2 and BuildRequires on the corresponding devel packages
- removed erroneous BuildRequires on libgal2-devel and linc-devel (#140478)

* Mon Jun 21 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.5-6
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 17 2004 Jeremy Katz <katzj@redhat.com> - 1.0.5-4
- allow building with deprecated gtk+ widgets (#115082)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 1.0.5-1
- 1.0.5

* Wed Jul 23 2003 Elliot Lee <sopwith@redhat.com> 1.0.4-3
- Fix multilib (multilib.patch)

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 1.0.4-1
- 1.0.4

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-4
- rebuild

* Sun May 11 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- new approach for handling compatibility with old pspell, fixes crashes with 
  the old patch and makes it a less manual process

* Wed May  7 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-2
- fix broken auto*

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-1
- 1.0.3

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- rebuild with newer aspell

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.0.2-0.9
- update to 1.0.2
- add a patch to build and work with older aspell

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Karsten Hopp <karsten@redhat.de> 0.5-4
- rebuild with the last added buildrequires

* Wed Nov 13 2002 Jeremy Katz <katzj@redhat.com>
- add buildrequires of libcapplet0-devel (based on report from Daniel Resare)

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com> 0.5-3
- rebuild against new gal

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 0.5-2
- remove unpackages files in %%install

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 0.5-1
- 0.5

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 20 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.1

* Fri Jan 25 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Wed Jan  9 2002 Jeremy Katz <katzj@redhat.com>
- initial build for Red Hat Linux
